OpnePNEをXサーバーにインストールのめも

LoboStudioHamburg / Pixabay

4年ほど前にさくらサーバーにOpenPNE3.6.1インストールしたことがあるのですが、今回はXサーバーOpnePNE3.8.18をインストールすることに。

今回参考にさせていただいたのは
OpenPNE3.8のインストール方法覚書き(エックスサーバーで) | 自営でイエイ
のページ。

「OpenPNE.yml.sample」「ProjectConfiguration.class.php.sample」のリネーム、「OpenPNE.yml」の書き換え。
サーバにアップロードの部分は”サーバの任意の場所にsnsフォルダを丸ごとアップロード”となっていますが、webディレクトリ内ファイルをpublic_htmlフォルダに、その他のファイルはpublic_htmlフォルダにFTPでアップロード。

Tera Termをダウンロードして
以下を参考に接続を完了し、コマンド入力画面まで持っていく。
http://www.xserver.ne.jp/manual/man_server_ssh.php
http://www.xserver.ne.jp/manual/man_server_ssh_connect_tera.php

コマンド
cd \example.com
でインストールしたいサーバーのディレクトリに移動。

XサーバーのPHPバージョンをPHP5.6.15に変更した後
インストールコマンド
php5.3 symfony openpne:install –internet

以下の内容を入力(あらかじめメモ帳等に各設定を書いておくとスムーズかも)
・Choose DBMS(使用するデータベース種類)
→mysql
・Type database username(DBユーザー名)
→決めたユーザー名
・Type database password(option)(DBMSパスワード)
→決めたパスワード
・Type database hostname(DBホスト名)
→mysql◯◯.xserver.jp
・Type database port number(option)
→そのままENTER
・Type database name(データベース名)
→データベース名(ユーザー名と同じ)
・Type database socket path(option)
→そのままENTER入力
・Is it OK to start this task?(これで良いか?)
→y

“installer installation is completed!”と表示されても、PHPバージョンをPHP5.6.15に変更するのを忘れて、画面が真っ白になったりしたりしましたが、なんとかインストールは完了したっぽい。
管理画面表示ログインはOKでしたが、サイト確認でOpenPNEサイトを見ると、CSSが効いていない様子。
サイトルートにopSkinBasicPluginディレクトリを作成して、その中にopSkinBasicPlugin/webの中css,imagesフォルダをコピーしてcssを適応(これでいいのかどうか判らないが)

とりあえず、なんとかベースの部分はインストールができたような気がします。

続いてプラグインのインストール。
スキンテーマ|OpenPNEをインストールしようとしたものの、コマンドを入力しても
Plugin "opSkinThemePlugin" installation failed: No valid packages found

You must resolve the following failed dependency to install this plugin:

PHP:
(version >= 5.2.3)
X-Powered-By: PHP/5.1.6
Content-type: text/html

のエラー。
調べてみるとXサーバーの場合、コマンドの前に”php5.3″を入れないといけないらしい。
ということで
php5.3 ./symfony opPlugin:install opSkinThemePlugin -r 0.9.10
php5.3 ./symfony plugin:publish-assets
と入力でいけた様子。
こちらもサイトルートにopSkinThemePluginディレクトリを作ってopSkinThemePlugin/webディレクトリの内容をコピーしてCSSを効かせました。

続いて日記プラグイン
php5.3 ./symfony opPlugin:install opDiaryPlugin -r 1.5.0
php5.3 ./symfony openpne:migrate –target=opDiaryPlugin
としたのですが2つめのコマンドでエラー
よく見てみるとコピーしたコマンドの”target=opDiaryPlugin”の前の"–" が ”?”に入れ替わってしまっていたので"–“(ハイフンふたつ)に書き換えてOK。

なんとか使い物になるかなってくらいのところまでインストールが終了。

だたXサーバーはOpenPNEにはあまり向いていないそうなので、あまり高度なことをやろうとすると他にも躓きそうな感じですが、とりあえず様子を見てみます。

OpnePNE

Posted by inqsite